import logging
# import chroma
import os

logger = logging.getLogger(__name__)

# 配置文件上传的目录
UPLOAD_FOLDER = "./knowledge_db"
if not os.path.exists(UPLOAD_FOLDER):
    os.makedirs(UPLOAD_FOLDER)

# 允许的文件扩展名
ALLOWED_EXTENSIONS = {'txt', 'pdf', 'docx'}
# 检查扩展名是否允许
def allowed_file(filename):
    return '.' in filename and filename.rsplit('.', 1)[1].lower() in ALLOWED_EXTENSIONS



